Management API
Overview
The MK.IO Management API is the REST API for organization, project, and account administration in MK.IO. It supports governance and operational setup use cases, including managing users/teams/roles/scopes, project and location management, payment methods, webhook rules, usage reporting, and profile/token operations.
Authentication
All endpoints require a bearer token in the Authorization header:
Authorization: Bearer <your_token>
You can create and manage your tokens in your profile settings under Your personal API tokens. Follow the API tokens guide for more information.
Usage
Base URL: https://app.mk.io
Typical usage pattern:
- Identify the organization and project context.
- Manage users, roles, teams, and project settings.
- Create, rotate, and revoke tokens before calling Media, Infrastructure, or Fleet APIs.
Endpoints
Payment 5 endpoints
get List Payment Methods /api/v1/organization/paymentMethods get Get one Payment Method /api/v1/organization/paymentMethods/{paymentmethod_id} patch Patch Payment Method /api/v1/organization/paymentMethods/{paymentmethod_id} post Accept Terms & Conditions /api/v1/organization/paymentMethods/{paymentmethod_id}/acceptTermsAndConditions get Get ratecard for payment method /api/v1/organization/paymentMethods/{paymentmethod_id}/rateCard
Projects 8 endpoints
get List projects /api/v1/projects get Get a project /api/v1/projects/{project_name} put Create a project /api/v1/projects/{project_name} patch Edit a project /api/v1/projects/{project_name} get Get metrics endpoint settings /api/v1/projects/{project_name}/metricsEndpoint patch Update metrics endpoint settings /api/v1/projects/{project_name}/metricsEndpoint get Get assigned payment method /api/v1/projects/{project_name}/paymentMethod post Assign payment method /api/v1/projects/{project_name}/paymentMethod
User Management 9 endpoints
get List pending invites /api/v1/organization/invites post Create an invite /api/v1/organization/invites get Get one pending invite /api/v1/organization/invites/{invite_id} del Cancel pending invite /api/v1/organization/invites/{invite_id} get Get tokens of all users /api/v1/organization/tokens del Revoke a token of a user /api/v1/organization/tokens/{token_id} get List users /api/v1/organization/users get Get user details /api/v1/organization/users/{user_id} del Remove user /api/v1/organization/users/{user_id}
Webhook Rules 5 endpoints
get List Webhook Rules /api/v1/projects/{project_name}/webhook/rules get Get Webhook Rule /api/v1/projects/{project_name}/webhook/rules/{rule_name} put Create or Update Webhook Rule /api/v1/projects/{project_name}/webhook/rules/{rule_name} del Delete Webhook Rule /api/v1/projects/{project_name}/webhook/rules/{rule_name} get Get Webhook Events /api/v1/projects/{project_name}/webhook/rules/{rule_name}/events
Your Profile 14 endpoints
get Get profile Deprecated /api/profile/ put Update profile Deprecated /api/profile/ get List user's organizations and any associated invitation /api/v1/user/organizations get Get organization details /api/v1/user/organizations/{organization_id} patch Update organization details (to accept an invitation). /api/v1/user/organizations/{organization_id} del Leave an organization/Decline an invite to an organization /api/v1/user/organizations/{organization_id} get Get profile /api/v1/user/profile patch Update profile /api/v1/user/profile get Get RBAC capability data /api/v1/user/rbac get Get all user tokens /api/v1/user/tokens post Request a new token /api/v1/user/tokens del Revoke all user tokens /api/v1/user/tokens get Get a user token by ID /api/v1/user/tokens/{token_id} del Revoke a token /api/v1/user/tokens/{token_id}